<?php


namespace App\Http\Controllers\Api;


use App\Services\HomeService;
use http\Env\Response;
use Illuminate\Http\Request;

class HomeController extends Controller
{
    public $homeService;
    public function __construct()
    {
        $this->homeService = new HomeService();
    }

    /**
     * 返回首页信息
     * @param Request $request
     * @return \Illuminate\Http\JsonResponse|void
     */
    public function home(Request $request){
        try {



            $res = $this->homeService->get_list();
        }catch (\Exception $exception){
            return $this->response->errorForbidden($exception->getMessage());
        }
        return response()->json($res);
    }
}
